Subject: bug#10290: 23.3; build failure due to broken stdlib link directives

From: Phillip Susi <[email-masked]>
Date: Tue, 13 Dec 2011 11:15:16 -0500

When trying to build emacs 23.3b, it fails to build because it is trying 
to link with -nostdlib and explicitly link to pre-crt0.o, 
/usr/lib/crt1.o, and /usr/lib/crti.o, which don't exist.

This appears to come from the START_FILES and LIB_STANDARD variables set 
in src/s/gnu-linux.h.  Setting STARTFILES and LIB_STANDARD to nothing 
and removing the -nostdlib flag from Makefile.in resolves the issue.

I have no idea why the build system is trying to explicitly link to (the 
wrong) standard libraries after telling gcc not to link them, but this 
doesn't seem like a very good idea.

I am building on Ubuntu 11.10 with gcc 4.6.1.